# Interface IHighlight

A highlight structure, as returned by the index. This structure can be used to do the actual highlighting job.

## Index

### Properties

- dataHighlightGroup
- dataHighlightGroupTerm
- length
- offset

## Properties

### Optional dataHighlightGroup

dataHighlightGroup: number

- Defined in rest/Highlight.ts :18

The group number for the highlight. A single string can have the same term highlighted multiple times. This allows to regroup the different highlights.

### Optional dataHighlightGroupTerm

dataHighlightGroupTerm: string

- Defined in rest/Highlight.ts :23

The string that represent the highlight. A single string can have the same term highlighted multiple times. This allows to regroup the different highlights.

### length

length: number

- Defined in rest/Highlight.ts :13

The length of the offset.

### offset

offset: number

- Defined in rest/Highlight.ts :9

The 0 based offset inside the string where the highlight should start.

### Hierarchy

- IHighlight